- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QScriptProgram Class Reference

Search for all occurrences

## Detailed Description

Definition at line 38 of file qscriptprogram.h.

`#include <qscriptprogram.h>`

List of all members.

## Public Member Functions
| QScriptProgram ()
| QScriptProgram (const QString &sourceCode, const QString fileName=QString(), int firstLineNumber=1)
| QScriptProgram (const QScriptProgram &other)
| ~QScriptProgram ()
QScriptProgram & | operator= (const QScriptProgram &other)
bool | isNull () const
QString | sourceCode () const
QString | fileName () const
int | firstLineNumber () const
bool | operator== (const QScriptProgram &other) const
bool | operator!= (const QScriptProgram &other) const

## Constructor & Destructor Documentation

QScriptProgram | ( |  | ) |

QScriptProgram | ( | const QString & | sourceCode,
|  | const QString | fileName = `QString()`,
|  | int | firstLineNumber = `1`
| ) |  |

QScriptProgram | ( | const QScriptProgram & | other | ) |

~QScriptProgram | ( |  | ) |

## Member Function Documentation

QScriptProgram& operator= | ( | const QScriptProgram & | other | ) |

bool isNull | ( |  | ) | const

Search for all occurrences

QString sourceCode | ( |  | ) | const

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

int firstLineNumber | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QScriptProgram & | other | ) | const

bool operator!= | ( | const QScriptProgram & | other | ) | const

The documentation for this class was generated from the following file:

- QtScript/qscriptprogram.h

QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram
QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram QScriptProgram